package com.hfkj.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("sysConfig")
@ConfigurationProperties
@PropertySource("classpath:/config.properties")
public class SysConfig {

	private String wxAppId;
	private String wxAppSecret;

	private String ys7AppKey;
	private String ys7AppSecret;

	private String classVideoPath;

	private String app_id;

	private String app_secret;

	private String notify_url;

	private String api_key;

	private String mch_id;

	private String unified_order_url;

	private String rectifyPath;

	private String graduatePath;

	private String fileUrl;

	private String arcsoftlibUrl;

	private String arcsoftAppId;

	private String arcsoftKey;

	private String ffmpegPath;

	private String tmpFilePath;

    public String getGraduatePath() {
        return graduatePath;
    }

    public void setGraduatePath(String graduatePath) {
        this.graduatePath = graduatePath;
    }

    public String getArcsoftAppId() {
        return arcsoftAppId;
    }

    public void setArcsoftAppId(String arcsoftAppId) {
        this.arcsoftAppId = arcsoftAppId;
    }

    public String getArcsoftKey() {
        return arcsoftKey;
    }

    public void setArcsoftKey(String arcsoftKey) {
        this.arcsoftKey = arcsoftKey;
    }

    public String getArcsoftlibUrl() {
        return arcsoftlibUrl;
    }

    public void setArcsoftlibUrl(String arcsoftlibUrl) {
        this.arcsoftlibUrl = arcsoftlibUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getRectifyPath() {
        return rectifyPath;
    }

    public void setRectifyPath(String rectifyPath) {
        this.rectifyPath = rectifyPath;
    }

    public String getWxAppId() {
        return wxAppId;
    }

    public void setWxAppId(String wxAppId) {
        this.wxAppId = wxAppId;
    }

    public String getWxAppSecret() {
        return wxAppSecret;
    }

    public void setWxAppSecret(String wxAppSecret) {
        this.wxAppSecret = wxAppSecret;
    }

    public String getYs7AppKey() {
        return ys7AppKey;
    }

    public void setYs7AppKey(String ys7AppKey) {
        this.ys7AppKey = ys7AppKey;
    }

    public String getYs7AppSecret() {
        return ys7AppSecret;
    }

    public void setYs7AppSecret(String ys7AppSecret) {
        this.ys7AppSecret = ys7AppSecret;
    }

    public String getClassVideoPath() {
        return classVideoPath;
    }

    public void setClassVideoPath(String classVideoPath) {
        this.classVideoPath = classVideoPath;
    }

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getApp_secret() {
        return app_secret;
    }

    public void setApp_secret(String app_secret) {
        this.app_secret = app_secret;
    }

    public String getNotify_url() {
        return notify_url;
    }

    public void setNotify_url(String notify_url) {
        this.notify_url = notify_url;
    }

    public String getApi_key() {
        return api_key;
    }

    public void setApi_key(String api_key) {
        this.api_key = api_key;
    }

    public String getMch_id() {
        return mch_id;
    }

    public void setMch_id(String mch_id) {
        this.mch_id = mch_id;
    }

    public String getUnified_order_url() {
        return unified_order_url;
    }

    public void setUnified_order_url(String unified_order_url) {
        this.unified_order_url = unified_order_url;
    }

    public String getFfmpegPath() {
        return ffmpegPath;
    }

    public void setFfmpegPath(String ffmpegPath) {
        this.ffmpegPath = ffmpegPath;
    }

    public String getTmpFilePath() {
        return tmpFilePath;
    }

    public void setTmpFilePath(String tmpFilePath) {
        this.tmpFilePath = tmpFilePath;
    }
}
